MagicWP Docs
Plans & Addons

List add-ons

GET
/v1/plans/addons

Permission: any token

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Response Body

Successful Response

application/json
  1. response
success*boolean
data*array<>

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X GET "https://example.com/v1/plans/addons"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "monthly_price": "string",      "yearly_price": "string",      "type": "string",      "resource_type": "string",      "resource_amount": 0,      "description": "string",      "is_active": true    }  ]}